// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "New AmplifyShader"
{
	Properties
	{
		[HideInInspector] __dirty( "", Int ) = 1
		_Dirt("Dirt", 2D) = "white" {}
		_YourBaseTexture("Your Base Texture", 2D) = "white" {}
		_DirtMask("Dirt Mask", 2D) = "white" {}
		_DirtMix("Dirt Mix", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
	}

	SubShader
	{
		Tags{ "RenderType" = "Opaque"  "Queue" = "Geometry+0" }
		Cull Back
		CGPROGRAM
		#pragma target 3.0
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform sampler2D _YourBaseTexture;
		uniform float4 _YourBaseTexture_ST;
		uniform sampler2D _Dirt;
		uniform float4 _Dirt_ST;
		uniform sampler2D _DirtMask;
		uniform float4 _DirtMask_ST;
		uniform float _DirtMix;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float2 uv_YourBaseTexture = i.uv_texcoord * _YourBaseTexture_ST.xy + _YourBaseTexture_ST.zw;
			float2 uv_Dirt = i.uv_texcoord * _Dirt_ST.xy + _Dirt_ST.zw;
			float2 uv_DirtMask = i.uv_texcoord * _DirtMask_ST.xy + _DirtMask_ST.zw;
			float4 lerpResult5 = lerp( tex2D( _YourBaseTexture, uv_YourBaseTexture ) , tex2D( _Dirt, uv_Dirt ) , ( tex2D( _DirtMask, uv_DirtMask ) * _DirtMix ).x);
			o.Albedo = lerpResult5.xyz;
			o.Alpha = 1;
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=13003
676;92;1244;691;1573.063;235.8165;1.50662;True;False
Node;AmplifyShaderEditor.SamplerNode;4;-971.9205,381.8978;Float;True;Property;_DirtMask;Dirt Mask;2;0;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;FLOAT4;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;12;-813.7257,600.3569;Float;False;Property;_DirtMix;Dirt Mix;3;0;0;0;1;0;1;FLOAT
Node;AmplifyShaderEditor.SamplerNode;2;-980.3851,178.8723;Float;True;Property;_Dirt;Dirt;0;0;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;FLOAT4;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.SamplerNode;1;-977.3326,-17.448;Float;True;Property;_YourBaseTexture;Your Base Texture;1;0;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;FLOAT4;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;11;-482.2704,315.6062;Float;False;2;2;0;FLOAT4;0.0;False;1;FLOAT;0,0,0,0;False;1;FLOAT4
Node;AmplifyShaderEditor.LerpOp;5;-271.3435,77.56044;Float;False;3;0;FLOAT4;0.0;False;1;FLOAT4;0,0,0,0;False;2;FLOAT;0.0;False;1;FLOAT4
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;0,0;Float;False;True;2;Float;ASEMaterialInspector;0;0;Standard;New AmplifyShader;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;Back;0;0;False;0;0;Opaque;0.5;True;True;0;False;Opaque;Geometry;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;False;0;255;255;0;0;0;0;False;0;4;10;25;False;0.5;True;0;Zero;Zero;0;Zero;Zero;Add;Add;0;False;0;0,0,0,0;VertexOffset;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;0;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0.0;False;4;FLOAT;0.0;False;5;FLOAT;0.0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0.0;False;9;FLOAT;0.0;False;10;OBJECT;0.0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;11;0;4;0
WireConnection;11;1;12;0
WireConnection;5;0;1;0
WireConnection;5;1;2;0
WireConnection;5;2;11;0
WireConnection;0;0;5;0
ASEEND*/
//CHKSM=2A5F4DFB1BE9F06412AF2CAF088FEC306DB26D20